@import "assets/scss/global";

.progress-bar {
    position: relative;
    width: 100%;
    height: 100%;

    display: flex;
    align-items: center;
    justify-content: space-between;

    &::before {
        position: absolute;
        top: 50%;
        left: 0;
        z-index: 1;

        width: 100%;
        height: 4px;

        background: #E2E5F2;
        content: '';
        transform: translateY(-50%);
        pointer-events: none;
    }

    &::after {
        position: absolute;
        top: 50%;
        left: 0;
        z-index: 2;

        width: var(--value);
        height: 4px;

        background: #58B778;
        content: '';
        transform: translateY(-50%);
        pointer-events: none;
    }

    .progress-item {
        position: relative;
        z-index: 3;
        display: flex;
        align-items: center;
        background: #FFFFFF;
        cursor: pointer;

        span {
            padding-left: 5px;
            font-weight: 500;
        }

        &:first-child {
            padding: 0 5px 0 0px;
        }

        &:last-child {
            padding: 0 0px 0 5px;
        }

        &[data-active='true'],
        &[data-disabled='true']:first-child {
            svg {
                circle {
                    stroke: #7660FE;
                }

                circle:first-child {
                    fill: #7660FE;
                }
            }

            span {
                font-weight: 700;
            }
        }

        &[data-active='false'] {
            svg {
                circle {
                    stroke: #58B778;
                }

                circle:first-child {
                    fill: #58B778;
                }
            }
        }

        &[data-disabled='true']:nth-child(2) {
            svg {
                circle {
                    stroke: #8E91A0;
                }

                circle:first-child {
                    fill: #8E91A0;
                }
            }
        }

        .title {
            color: $dark-color;
            font-weight: 500;
            font-size: 14px;
            line-height: 20px;
        }
    }
}